{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "\r\n$INSERT APPCOLORS\r\n\r\nEQU FONT_FACE_NAME$\t\t\tTO 1\r\nEQU FONT_HEIGHT$\t\t\tTO 2\r\nEQU FONT_WEIGHT$\t\t\tTO 3\r\nEQU FONT_ITALIC$\t\t\tTO 4\r\nEQU FONT_UNDERLINE$\t\t\tTO 5\r\nEQU FONT_WIDTH$\t\t\t\tTO 6\r\nEQU FONT_CHAR_SET$\t\t\tTO 7\r\nEQU FONT_PITCH_AND_FAMILY$\tTO 8\r\nEQU FONT_STRIKE_OUT$\t\tTO 9\r\nEQU FONT_OUT_PRECISION$\t\tTO 10\r\nEQU FONT_CLIP_PRECISION$\tTO 11\r\nEQU FONT_QUALITY$\t\t\tTO 12\r\nEQU FONT_RGB_R_COLOR$\t\tTO 13\t;* Set_Property only\r\nEQU FONT_RGB_G_COLOR$\t\tTO 14\t;* Set_Property only\r\nEQU FONT_RGB_B_COLOR$\t\tTO 15\t;* Set_Property only\r\n\r\nEQU FONT_ASCENT$\t\t\tTO 13\t;* Get_Property only\r\nEQU FONT_INTERNAL_LEADING$\tTO 14\t;* Get_Property only\r\nEQU FONT_EXTERNAL_LEADING$\tTO 15\t;* Get_Property only\r\nEQU FONT_MAX_CHAR_WIDTH$\tTO 16\t;* Get_Property only\r\n\r\n\r\nColorNo = Get_Property(@WINDOW,'@COLOR_NO')\r\n\r\nIF ColorNo = 3 OR ColorNo = '' THEN ColorNo = 0\r\n\r\nColorNo += 1\r\n\r\n\r\nCurrFontProp = Get_Property(@WINDOW:'.PRIORITY_DISPLAY','FONT')\r\n\r\nNewFontProp = FIELD(CurrFontProp,@SVM,1,12)\r\n\r\n\r\nIF ColorNo = 1 THEN\r\n\tvoid = Set_Property(@WINDOW:'.PRIORITY_DISPLAY','DEFPROP','P1 - High')\r\n\tNewFontProp<1,1,FONT_WEIGHT$> = 700\r\n\tNewFontProp<1,1,FONT_ITALIC$> = 255\r\n\tNewFontProp<1,1,FONT_WIDTH$> = 12\r\n\tForeColor = BRED$\r\n\t\r\nEND\r\n\r\n\r\nIF ColorNo = 2 THEN\r\n\tvoid = Set_Property(@WINDOW:'.PRIORITY_DISPLAY','DEFPROP','P2 - Medium')\r\n\tNewFontProp<1,1,FONT_WEIGHT$> = 700\r\n\tNewFontProp<1,1,FONT_ITALIC$> = 0\r\n\tNewFontProp<1,1,FONT_WIDTH$> = 12\r\n\tForeColor = BYELLOW$\r\nEND\t\r\n\r\n\r\nIF ColorNo = 3 THEN\r\n\tvoid = Set_Property(@WINDOW:'.PRIORITY_DISPLAY','DEFPROP','P3 - Low')\r\n\tNewFontProp<1,1,FONT_WEIGHT$> = 400\r\n\tNewFontProp<1,1,FONT_ITALIC$> = 0\r\n\tNewFontProp<1,1,FONT_WIDTH$> = 11\r\n\tForeColor = 32768\r\n\t\r\nEND\r\n\r\nvoid = Set_Property(@WINDOW:'.PRIORITY_DISPLAY','FONT', NewFontProp)\r\nvoid = Set_Property(@WINDOW:'.PRIORITY_DISPLAY','FORECOLOR',ForeColor)\r\n\r\n\r\nvoid = Set_Property(@WINDOW,'@COLOR_NO',ColorNo)\r\n\r\n\r\nRETURN 0"
        }
    }
}